%define name cups-drivers
%define version 1.0
%define release 30mdk

Summary: Common Unix Printing System - Drivers (all)
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Servers
# CUPS-Drivers package from Sourceforge, only PPD files for native 
# PostScript printers used
Source: ftp://cups.sourceforge.net/pub/cups/cups-drivers/0.3.6/%{name}-all-0.3.6.tar.bz2
Url: http://www.linuxprinting.org
# Perl script for the Sourceforge CUPS-Drivers package
Source1: pstogstoraster.bz2
# Snapshot of Grant Taylors CUPS-O-MATIC PPD files
Source2: http://www.linuxprinting.org/all-com-ppds.tar.bz2
# Perl script to clean up Manufacturer entries in the PPD files, so that
# drivers are sorted by the printer Manufacturer in the graphical frontends
Source4: cleanppd.pl.bz2
# GIMP-Print CUPS drivers
Source5: http://gimp-print.sourceforge.net/print-4.1.5cvs.tar.bz2
# Icon for the Mandrake menu
Source6: calibrate.png.bz2
# Printing HOWTO
Source7: http://www.linuxprinting.org/Printing-HOWTO-5.15.tar.bz2
# GIMP-Print/GhostScript stp PPD files
#Source9: http://gimp-print.sourceforge.net/print-4.0.4.tar.bz2
# HP's PPD files for the PostScript LaserJets
Source10: http://hp.sourceforge.net/hp-ppd-0.3.tar.bz2
# GhostScript wrapper to separate job data output from GhostScript messages
Source11: http://www.linuxprinting.org/foomatic-gswrapper.bz2
# PPD files for GIMP-Print "stp" driver in GhostScript
Source12: print-4.1.5-ppds.tar.bz2
# PPD files for HP's DeskJet drivers (HPIJS)
Source13: hpijs_DJxxx_foomatic_ppds.tar.bz2
# PPD files and scripts to use Lexmark's drivers for the Z22, Z32, and Z52
# with CUPS
Source14: lexmark-cups-kit.tar.bz2
# PPD file for the enhanced "cZ11" driver (Lexmark Z11)
Source15: Lexmark-Z11-cZ11somsom.ppd.bz2
# PPD file for a generic PostScript printer (taken from KUPS)
Source16: postscript.ppd.bz2
# New Foomatic PPDs for the "pcl3" GhostScript driver (with MemLimit option)
Source17: pcl3-ppds.tar.bz2
# Script to adjust margins and offsets of printed pages
Source18: alignmargins.bz2
# Patch to make Sourceforge drivers using the pstogstoraster perl script
Patch: cups-drivers-pstogstoraster.patch.bz2
# Fix buggy PPD file
Patch1: cups-drivers-hplj5m_4.ppd.patch.bz2
# Patch the cupsomatic filter to allow PJL options
#Patch3: cupsomatic-pjl.patch.bz2
# CRET support for the HP DeskJet 840C in the PPD files for the GIMP-Print
# GhostScript driver
Patch5: print-4.0.4-ppds-cret-HP840C.patch.bz2
# Fix bug in GIMP-Print 4.1.4 which prevents it from printing on HP printers
# in resolutions < 600 dpi.
#Patch6: print-4.1.4-print-pcl-lowres.patch.bz2
Patch7: gimp-print-4.1.5-cret2.patch.bz2

BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: cups >= 1.1, /usr/bin/perl, ghostscript >= 5.50-65mdk
BuildRequires:  libgimp1.2_1-devel zlib1-devel libgr1-devel
Prefix: /usr

%description
The Common Unix Printing System provides a portable printing layer for
UNIX(TM) operating systems.

This package contains free printer driver descriptions to be used with
CUPS. Especially it contains a recent snapshot of the printer database
on www.linuxprinting.org. and the CUPS drivers of GIMP-Print which
allow photo-quality printing on ink jets. Note that the calibration
program (formerly "calibrate") is renamed to "cups-calibrate" and
there is also a link "calibrate-gimpprint".

%prep

# Remove old build directory
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
# Create build directory
mkdir $RPM_BUILD_DIR/%{name}-%{version}
# Uncompress Sourceforge PPD files
%setup -T -D -a 0 -n %{name}-%{version}
# Apply patch to get Perl script used
%patch -p0
# Apply patch for buggy ppd file
%patch1 -p0
# Remove CUPS-O-MATIC PPDs to do not have these PPDs twice
rm -rf %{name}-0.3.6/usr/share/cups/model/cups-o-matic
# Load Printing HOWTO
%setup -T -D -a 7 -c -n %{name}-%{version}/pht
# Uncompress CUPS-O-MATIC PPDs from linuxprinting.org
%setup -T -D -a 2 -n %{name}-%{version}
# GhostScript wrapper to separate job data output from GhostScript messages
bzcat %{SOURCE11} > $RPM_BUILD_DIR/%{name}-%{version}/foomatic-gswrapper
# Patch the cupsomatic script to allow PJL options
#patch3
# Change odd PPD file names
mv 'cupsomatic-ppd/ppd/Kyocera/FS-600_(KPDL-2)-Postscript.ppd' cupsomatic-ppd/ppd/Kyocera/FS-600_KPDL-2-Postscript.ppd
mv 'cupsomatic-ppd/ppd/Hitachi/DDP_70_(with_MicroPress)-Postscript.ppd' cupsomatic-ppd/ppd/Hitachi/DDP_70_with_MicroPress-Postscript.ppd
# Load GIMP-Print package (release version for GhostScript PPDs)
#setup -T -D -a 9 -n %{name}-%{version}
# Rename directory for not being overwritten
#mv print-4.0.4 print-4.0.4-ppds
#cd print-4.0.4-ppds
# CRET support for the HP DeskJet 840C in the PPD files for the GIMP-Print
# GhostScript driver
#patch5 -p1
#cd ..
# Load PPDs for GIMP-Print "stp" driver
%setup -T -D -a 12 -c -n %{name}-%{version}/stp-ppds
# Load PPDs for HP's DeskJet driver
%setup -T -D -a 13 -c -n %{name}-%{version}/hpijs-ppds
# Load GIMP-Print package (CVS version for native CUPS drivers)
%setup -T -D -a 5 -n %{name}-%{version}
cd print-4.1.5
# Fix bug in GIMP-Print 4.1.4 which prevents it from printing on HP printers
# in resolutions < 600 dpi.
#patch6 -p0
# Fix ink reduction problem of HP DeskJet 840C in 600x600 dpi CRET
#patch7 -p0
cd ..
# HP's PPD files for the PostScript LaserJets
%setup -T -D -a 10 -n %{name}-%{version}
# Load PPDs for "pcl3" GhostScript driver
%setup -T -D -a 17 -c -n %{name}-%{version}/pcl3-ppds
# PPD files and scripts to use Lexmark's drivers for the Z22, Z32, and Z52
# with CUPS
%setup -T -D -a 14 -n %{name}-%{version}
# Load menu icon
bzcat %{SOURCE6} > $RPM_BUILD_DIR/%{name}-%{version}/calibrate.png
# Generate README file
cat <<EOF >README

CUPS-Drivers package
--------------------

This package does not actually contain the drivers for the printers,
they are in the GhostScript package, but it contains the descriptions
of the printer drivers and how the printing system CUPS has to use
them. For every printer this description is stored in a *.ppd file
which is located in /usr/share/cups/model or in one of its
subdirectories. These files form also the lists of supported printer
models in the printer administration programs "printerdrake", "kups",
and the WWW interface of CUPS (http://localhost:631/). If your printer
is not listed by these programs, go to

   http://www.linuxprinting.org/

and download the CUPS PPD file for your printer there. Copy it into a
subdirectory of /usr/share/cups/model and restart the CUPS daemon
entering

   service cups restart

(Otherwise the WWW interface and "printerdrake" will not find the new
PPD file and so they will not list your printer.)

If you have an HP DeskJet PPA printer (very cheap models: 710C, 712C,
720C, 722C, 820C, 1000C, or a newer printer which works with one of
these model entries) you can optionally do a colour correction. Do the
following:

Some of the printing modes offer optional colour correction. See the
option "Printing Mode" which is offered to you in "qtcups"
("Properties" button, "Advanced" tab), "xpp" ("Options" button,
"Extra" tab), "kups" (right click on printer, "Configure printer" in
menu), or the WWW interface ("Configure printer" button). Choose a
setting with "optional colour correction" and save your settings. Read
the file

   /usr/share/doc/ghostscript-5.50/HPDeskJetPPA/pnm2ppa/COLOR.txt

and follow the instructions there, but use the name

   /etc/pnm2ppa.gamma_normal

for the colour correction file for the "normal quality" modes and

   /etc/pnm2ppa.gamma_best

for the colour correction file for the "best quality" modes. So you
can do the colour correction independently in both normal and best
quality modes. The files are automatically taken into account by the
appropriate modes as soon as they are created.



EOF

%build

cd print-4.1.5
# Do all autoconf/automake/configure stuff for the CVS version
./autogen.sh --with-cups --without-gimp
%make
cd ..
# Generate PPD files for the portables of Canon (they are compatible to 
# the BJC-4400)
#( cd print-4.0.4-ppds/Ghost/stp-interfaces/CUPS/
#  perl -p -e 's/bjc-4400/bjc-50/;' Canon-BJC-4400-stp.ppd > tmpfile
#  perl -p -e 's/BJC-4400/BJC-50/;' tmpfile > Canon-BJC-50-stp.ppd
#  perl -p -e 's/BJC-4400/BJC-55/;' tmpfile > Canon-BJC-55-stp.ppd
#  perl -p -e 's/BJC-4400/BJC-80/;' tmpfile > Canon-BJC-80-stp.ppd
#  perl -p -e 's/BJC-4400/BJC-85/;' tmpfile > Canon-BJC-85-stp.ppd
#  rm -f tmpfile
#)
# The new Canon Sxxx printers are the same version as some older BJC-yyy
# models, Generate appropriate PPD files for them
#( cd print-4.0.4-ppds/Ghost/stp-interfaces/CUPS/
( cd stp-ppds
  perl -p -e 's/BJC-8200/S800/;' Canon-BJC-8200-stp-4.1.5.ppd > Canon-S800-stp-4.1.5.ppd
)

%install

rm -rf $RPM_BUILD_ROOT

# Put the Sourceforge PPDs into CUPS driver directory
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/cups
cp -a %{name}-0.3.6/usr/share/cups/model $RPM_BUILD_ROOT%{prefix}/share/cups
# Place Perl script in CUPS filter directory
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/cups/filter
bzcat %{SOURCE1} >$RPM_BUILD_ROOT%{prefix}/lib/cups/filter/pstogstoraster

# Put the linuxprinting.org PPDs into CUPS driver directory
cp -a cupsomatic-ppd/ppd/* $RPM_BUILD_ROOT%{prefix}/share/cups/model
# Place CUPS-O-MATIC script in CUPS filter directory
cp cupsomatic-ppd/cupsomatic $RPM_BUILD_ROOT%{prefix}/lib/cups/filter
# Place GhostScript wrapper in /usr/bin
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp foomatic-gswrapper $RPM_BUILD_ROOT%{_bindir}

# Install CUPS drivers of GIMP-Print
cd print-4.1.5
# Create necessary directory
mkdir -p $RPM_BUILD_ROOT/etc/cups
%makeinstall
cd ..

# Set a link for compatibility with the previous release of this package.
( cd $RPM_BUILD_ROOT%{_bindir}
  ln -s %{_bindir}/cups-calibrate calibrate-gimpprint
)

# Do not leave the PPD directory SO chaotic
( cd $RPM_BUILD_ROOT%{prefix}/share/cups/model
  mkdir gimp-print
  mv *.gz gimp-print
  gunzip gimp-print/*
)

# Remove old PPD files for the stp driver of GIMP-Print 4.0.0
rm -f $RPM_BUILD_ROOT/usr/share/cups/model/*/*-stp.ppd

# Install new PPD files for the stp driver of GIMP-Print 4.1.5
mkdir $RPM_BUILD_ROOT%{prefix}/share/cups/model/gimp-print-stp
cp stp-ppds/*.ppd $RPM_BUILD_ROOT%{prefix}/share/cups/model/gimp-print-stp
# Install new PPD files for the stp driver of GIMP-Print 4.0.4
#mkdir $RPM_BUILD_ROOT%{prefix}/share/cups/model/gimp-print-stp
#cp print-4.0.4-ppds/Ghost/stp-interfaces/CUPS/*.ppd $RPM_BUILD_ROOT%{prefix}/share/cups/model/gimp-print-stp

# Install PPD files for HP's DeskJet drivers
mkdir $RPM_BUILD_ROOT%{prefix}/share/cups/model/hpijs
cp hpijs-ppds/*.ppd $RPM_BUILD_ROOT%{prefix}/share/cups/model/hpijs

# Install HP's PPD files
cp -a hp-ppd-0.3 $RPM_BUILD_ROOT%{prefix}/share/cups/model/HP-PostScript

# Install the CUPS stuff for Lexmark's drivers
cd lexmark-cups-kit
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
cp lexmark[im]* $RPM_BUILD_ROOT%{_sbindir}
cp lexmarkwrapper $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/lexmark-cups-kit/
cp *.ppd $RPM_BUILD_ROOT%{_datadir}/lexmark-cups-kit/
cd ..

# Install PPD file for the enhanced "cZ11" driver (Lexmark Z11)
bzcat %{SOURCE15} > $RPM_BUILD_ROOT%{prefix}/share/cups/model/Lexmark/Lexmark-Z11-cZ11somsom.ppd

# Install PPD file for a generic PostScript printer
bzcat %{SOURCE16} > $RPM_BUILD_ROOT%{prefix}/share/cups/model/postscript.ppd
# Clean up "postscript.ppd"
perl -p -i -e 's!\*Manufacturer:.*"Postscript"!\*Manufacturer:  "POSTSCRIPT"!;' $RPM_BUILD_ROOT%{prefix}/share/cups/model/postscript.ppd
perl -p -i -e 's!Generic postscript printer!Generic PostScript printer!;' $RPM_BUILD_ROOT%{prefix}/share/cups/model/postscript.ppd

# Remove old PPD files for the "pcl3" GhostScript driver
rm -f $RPM_BUILD_ROOT/usr/share/cups/model/*/*-pcl3.ppd

# Install new PPD files for the "pcl3" GhostScript driver
mkdir $RPM_BUILD_ROOT%{prefix}/share/cups/model/pcl3
cp pcl3-ppds/*.ppd $RPM_BUILD_ROOT%{prefix}/share/cups/model/pcl3

# Correct permissions of PPD file directory
chmod -R u+w,a+rX $RPM_BUILD_ROOT%{prefix}/share/cups/model

# All fine-tuning (as removing undesired PPD files, correcting manufacturer
# entries, adding comments, ...) is done by a Perl script, the number of
# files to process is to big for being handled by simple shell command lines
# and the parts of the operations are too complicated to do them with a
# shell script.

# Uncompress Perl script for cleaning up the PPD files
bzcat %{SOURCE4} > ./cleanppd.pl
chmod a+rx ./cleanppd.pl
# Do the clean-up
find $RPM_BUILD_ROOT%{prefix}/share/cups/model -name "*.ppd" -exec ./cleanppd.pl '{}' \;

# Install margin and offset adjustment script in /usr/sbin
bzcat %{SOURCE18} > $RPM_BUILD_ROOT%{_sbindir}/alignmargins

# Install a script to display the test page on the screen for colour
# adjustment
cat <<EOF > $RPM_BUILD_ROOT%{_bindir}/cupsDisplayTestpage
#!/bin/sh
ps2img="gs -dQUIET -dNOPAUSE -dBATCH -sDEVICE=pnm -r75x75 -sOUTPUTFILE=- -"
testpage=/usr/share/cups/data/testprint.ps

TMPFILE=~/.cupsDisplayTestpage.pnm
if [ -x /usr/bin/kview ]; then
  cat \$testpage | \$ps2img > \$TMPFILE 
  /usr/bin/kview \$TMPFILE
elif [ -x /usr/bin/ee ]; then
  cat \$testpage | \$ps2img > \$TMPFILE 
  /usr/bin/ee \$TMPFILE
elif [ -x /usr/bin/gqview ]; then
  cat \$testpage | \$ps2img > \$TMPFILE 
  /usr/bin/gqview \$TMPFILE
elif [ -x /usr/bin/xv ]; then
  cat \$testpage | \$ps2img | /usr/bin/xv -
elif [ -x /usr/bin/kghostview ]; then
  /usr/bin/kghostview \$testpage
elif [ -x /usr/X11R6/bin/gv ]; then
  /usr/X11R6/bin/gv \$testpage
elif [ -x /usr/X11R6/bin/ghostview ]; then
  /usr/X11R6/bin/ghostview \$testpage
else
  xmessage "No suitable program for viewing PostScript found, install GhostView, gv, or similar."
  exit 1
fi
rm \$TMPFILE
EOF
chmod a+rx $RPM_BUILD_ROOT/usr/bin/cupsDisplayTestpage

# Install documentation (Printing HOWTO, READMEs)
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}
cp -ax pht/* $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}
cp README $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}
cp print-4.1.5/src/cups/README $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}/README.gimp-print-cups
cp lexmark-cups-kit/README $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}/README.lexmarkdrivers

# Install menu icon

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/locolor/16x16/apps/
install -m 644 calibrate.png $RPM_BUILD_ROOT%{_datadir}/icons/locolor/16x16/apps/

# install menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat <<EOF > $RPM_BUILD_ROOT/usr/lib/menu/cups-drivers
?package(cups-drivers): needs=X11 \
section=Configuration/Printing \
title="Display printer test page (for colour adjustment)" \
longtitle="Display printer test page (for colour adjustment)" \
command="/usr/bin/cupsDisplayTestpage" \
icon="/usr/share/icons/locolor/16x16/apps/calibrate.png"
?package(cups-drivers): needs=text \
section=Configuration/Printing \
title="Calibrate colour printer (GIMP-Print CUPS drivers)" \
longtitle="Calibrate colour printer (GIMP-Print CUPS drivers, 'CUPS + GIMP-print')" \
command="%{_bindir}/cupsDriversWaitForKey /usr/bin/cups-calibrate" \
icon="/usr/share/icons/locolor/16x16/apps/calibrate.png"
?package(cups-drivers): needs=text \
section=Configuration/Printing \
title="Epson inkjet printer maintenance" \
longtitle="Epson inkjet printer maintenance (Head cleaning/alignment, ink level display, ...)" \
command="/usr/bin/man escputil" \
icon="/usr/share/icons/locolor/16x16/apps/calibrate.png"
?package(cups-drivers): needs=text \
section=Configuration/Printing \
title="Install the Z22, Z32, or Z52 with Lexmark's drivers" \
longtitle="With this program you can easily install printers with the drivers issued by Lexmark" \
command="%{_bindir}/cupsDriversWaitForKey /usr/sbin/lexmarkinstall" \
icon="/usr/share/icons/locolor/16x16/apps/calibrate.png"
?package(cups-drivers): needs=text \
section=Configuration/Printing \
title="Head alignment and nozzle cleaning pages for Z22, Z32, or Z52" \
longtitle="This program needs Lexmark's printer drivers." \
command="%{_bindir}/cupsDriversWaitForKey /usr/sbin/lexmarkmaintain" \
icon="/usr/share/icons/locolor/16x16/apps/calibrate.png"
?package(cups-drivers): needs=text \
section=Configuration/Printing \
title="Adjust margins and offsets of printed pages" \
longtitle="Adjust the position and the margins of the printed contents on the paper" \
command="%{_bindir}/cupsDriversWaitForKey /usr/sbin/alignmargins" \
icon="/usr/share/icons/locolor/16x16/apps/calibrate.png"
EOF

# Install a helper script for text mode menu programs to wait for the user
# pressing a key before the window closes
cat <<EOF > $RPM_BUILD_ROOT%{_bindir}/cupsDriversWaitForKey
#!/bin/sh
\$*
echo ''
echo 'Press ENTER to close this window!'
read
EOF

%post

# Restart the CUPS daemon to refresh the database
! ( lpstat -r 1> /dev/null 2>&1 ) || (
  %{_initrddir}/cups stop 1> /dev/null 2>&1
  %{_initrddir}/cups start 1> /dev/null 2>&1
)

##menu
if [ -x /usr/bin/update-menus ]; then
        /usr/bin/update-menus
fi

%postun

if [ "$1" = 0 ]; then

	# Restart the CUPS daemon to refresh the database
	! ( lpstat -r 1> /dev/null 2>&1 ) || (
	    %{_initrddir}/cups stop 1> /dev/null 2>&1
	    %{_initrddir}/cups start 1> /dev/null 2>&1
	)
 
	## menu
	if [ -x /usr/bin/update-menus ]; then
                /usr/bin/update-menus
        fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/cups/model
%{_datadir}/lexmark-cups-kit
%attr(0755,root,root) %{_libdir}/cups/filter/*
%attr(0755,root,root) %{_libdir}/cups/backend/*
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_sbindir}/*
%attr(0755,root,root) %{_libdir}/lib*
%config(noreplace) %{_sysconfdir}/cups/*
# menu entry
%{_datadir}/icons/locolor/16x16/apps/*
%{_libdir}/menu/*
# documentation
%doc %{_defaultdocdir}/%{name}-%{version}
%{_mandir}/man1/*

%changelog

* Thu Apr 12 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-30mdk
- Added support for the Apple LaserWriter Pro 630 in PCL mode
- Removed the PPD file for the Lexmark Z11 with the "lx5000" driver, this
  combination did not work.
- Switched the default colour mode in all PPD files for GIMP-Print "stp" on
  a laser printer to grayscale because colour output does not work on many
  black & white lasers.

* Thu Apr 12 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-29mdk
- Added lots of PPD files for the GIMP-Print stp GhostScript driver (for
  Epson Stylus Photo 780, 790, 890, 1280, 1290, Epson Stylus Color 8^3,
  HP DeskJet 6xx, 9xx, Lexmark 4076, Canon S800, and meny PCL laser
  printers)
- Script to adjust margins and offsets of printed pages
- Fixed problem of printer entries with the GhostScript "stp" driver not
  marked with "(GIMP-Print)" any more
- Fixed "BuildRequires" for GIMP-Print

* Sun Apr  8 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-28mdk
- New Foomatic PPDs for the "pcl3" GhostScript driver (with MemLimit option)

* Sat Apr  7 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-27mdk
- Moved the PPD file for a generic PostScript printer from the KUPS package
  to this package.

* Wed Mar 21 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-26mdk
- Added PPD files for the HP DeskJet 630C, 632C, 640C, 693C, 695C, 830C, and
  952C for HP's HPIJS driver.

* Tue Mar 20 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-25mdk
- Added PPD file for the enhanced cZ11 filter to support black-and-white 
  printing and colour adjustment on the Lexmark Z11 (needs 
  ghostscript-5.50-65mdk)

* Sun Mar 18 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-24mdk
- Added PPD files and scripts to use Lexmark's drivers for the Z22, Z32, and
  Z52 with CUPS

* Tue Mar 13 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-23mdk
- Included PPD files for HP's DeskJet drivers (HPIJS, needs 
  ghostscript-5.50-63mdk)

* Tue Mar 13 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-22mdk
- Included PPD files for the new GIMP-Print 4.1.5 in GhostScript
- Set default value of "StpGamma" in the PPD files of the "stp" driver to
  1.7, so the output is not darker than the one of the native CUPS drivers 
  of GIMP-Print any more.

* Mon Mar  5 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-21mdk
- Updated the GIMP-Print CUPS drivers from CVS (Bug fixes)
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
  (Newly supported: HP DeskJet 960C, Xerox DocuPrint M750 (experimental);
  Alternative driver for: HP DeskJet 990C (chp2200), HP DeskJet 697C (pcl3);
  Corrections on: HP LaserJet 1100/1100a, PJL option "Media" renamed to
  "MediaType" to not conflict with the CUPS option, reactivated the cdj670
  driver for the HP DeskJet 812C/840C/842C, Brother 1650/1670N, 2400x600 
  dpi enabled;
  Improvements on: Many, especially older HP DeskJets, options for "pcl3"
  driver improved, needs ghostscript-5.50-60mdk)
- Marked entries for the Lexmark Z22/31/32 and the Xerox DocuPrint M750 as
  "experimental"

* Tue Feb 27 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-20mdk
- Fixed ink reduction problem of HP DeskJet 840C in 600x600 dpi CRET
- Updated the GIMP-Print CUPS drivers from CVS (Fixed bug of newer Epson
  models printing to light)

* Sun Feb 25 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-19mdk
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
  (Newly supported: HP Business Inkjet 2200)
- Removed PPDs for HP DeskJet 810C/840C/842C with "cdj670" driver, they
  did not work.
- Updated the GIMP-Print CUPS drivers to version 4.1.5 (CVS)
  (Improvements and bugfixes for all Epson Stylus: paper sizes for large
  printers, colour quality on plain paper, ...)

* Thu Feb 22 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-18mdk
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
  (Newly supported: Kyocera FS-1000, Epson EPL-5200+, HP DeskJet Plus,
  HP DeskJet Portable, HP DeskJet 350C;
  Corrections on: Canon BJC-4550 to support large paper formats;
  Driver "hpdj" replaced by its successor "pcl3": Many, especially older
  HP DeskJets affected)
- Removed PPDs for the "hpdj" driver.
- Introduced GhostScript wrapper which separates the job data output by
  GhostScript from GhostScript messages. Now Windows-generated PostScript
  files are printed correctly and the messages of GhostScript get logged.

* Wed Feb 21 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-17mdk
- Fixed bug in GIMP-Print which prevented HP printers from printing
  in low resolutions (< 600 dpi).

* Mon Feb 19 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-16mdk
- Updated the GIMP-Print CUPS drivers to version 4.1.4 (CVS)
  (Support for the Epson 83, Epson Stylus Photo 1280, Epson Stylus Color 
  480/580, Compaq IJ750, Lexmark Z31, Canon BJC-6500, S400, S450, S800, and 
  S4500, corrections and improvements on the other drivers)

* Sat Feb 17 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-15mdk
- Updated the GIMP-Print CUPS drivers to version 4.1.4 (CVS)
  (Support for the Epson Stylus Color 480, corrections on the other drivers)
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
  (Newly supported: Lexmark Z31)

* Fri Feb 16 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-14mdk
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
  (Corrections on: OKI 4w and compatible winprinters to work with
  CUPS 1.1.6, needs ghostscript-5.50-56mdk, Dymo-CoStar and Avery label
  printers for GhostScript using the correct resolution)

* Sun Feb 11 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-13mdk
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
  (Newly supported: Samsung ML-85G and QL-85G winprinters)

* Sat Feb 10 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-12mdk
- Updated the GIMP-Print CUPS drivers to version 4.1.3 (CVS)
- Updated the Printing-HOWTO to version 5.15

* Sat Feb 10 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-11mdk
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
  (Newly supported: Samsung ML-4500 and similar SmartGDI printers of
  Samsung;
  Alternative drivers for: Many Epson inkjets)

* Thu Feb  8 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-10mdk
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
  (Added PJL options for the HP LaserJet printers)

* Tue Feb  6 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-9mdk
- Added the PPD files for all HP PostScript printers (from HP, LJ 4 and
  newer)

* Tue Feb  6 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-8mdk
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
  (Newly supported: Citizen Printiva 600C, Okidata DP 5000, All Dymo-Costar,
  Avery and compatible label printers, Okidata Microline IBM compatible 9
  pin (Citizen Printiva and Dymo-Costar need ghostscript-5.50-52mdk);
  Corrections on: All PostScript printers to only display resolutions
  supported by the hardware)
- Generated PPD files for the Canon S400, S450, and S800.

* Wed Jan 31 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-7mdk
- Moved deletion of undesired PPD files into the "cleanppd.pl" Perl
  script. The total amount od PPD files is too high now, to do the
  deletion with simple shell command lines.

* Tue Jan 30 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-6mdk
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
  (Corrections on: Many PCL laser printers to support 1200 dpi, PostScript
  printers to have basic PostScript options without the PPD file of the 
  printer's manufacturer;
  Removed: Lexmark Z52 with pbm2l7k driver, did not work;
  Many bugfixes)

* Mon Jan 22 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-5mdk
- Added patch for GIMP-Print to support the portable printers of Canon
  (BJC 50/55/80/85).
- Generated PPD files for the Canon BJC 50/55/80/85 (needs 
  ghostscript-5.50-51mdk).
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
  (Newly supported: Epson Stylus 800, Canon BJC-50/55/80/85, Canon LBP-1000,
  Lexmark Z22/Z32 (preliminary), HP 2563 line printer, OCE 9050; 
  Alternative drivers for: HP LaserJet 5/6, DEC LJ 250, HP PaintJet,
  HP PaintJet XL;
  Corrections for: Epson Stylus Color 440, Epson ActionPrinter 3250, 
  HP Paintjet, HP PaintJet XL, DEC LJ 250)

* Sat Jan 13 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-4mdk
- Compressed the PPD files in /usr/share/cups/model, KUPS 0.9 supports it.
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
  (Printer name corrections for more consistent printer listing in KUPS
  0.9).
- Corrected the names of the Canon inkjets from "BJC XXX" to "BJC-XXX" in
  the PPD files of the native CUPS drivers of GIMP-Print. Gives a more
  consistent printer listing in KUPS 0.9.

* Tue Jan  9 2001 Till Kamppeter <till@mandrakesoft.com> 1.0-3mdk
- Replaced GIMP-Print/GhostScript stp PPD files by the ones coming with the
  relesae version of GIMP-Print 4.0.4.
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
  (PPD for Lexmark Z11 with lx5000 driver, PPDs for Xerox C6 and 4045-XES,
  for printers supported by bjc610??.upp drivers now only the suitable
  resolutions are displayed).
- Do not insert comments into the "ModelName" and "ShortNickName" of the PPD
  files any more with cleanppd.pl, this will confuse a soon upcoming new 
  version of KUPS.

* Wed Dec 20 2000 Till Kamppeter <till@mandrakesoft.com> 1.0-2mdk
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
  (PPDs for the Alps MD xxxx thermal transfer printers, PPD for
  the Canon S450, needs ghostscript-5.50-47mdk)

* Sun Dec 17 2000 Till Kamppeter <till@mandrakesoft.com> 1.0-1mdk
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
  (Bugfixes for Lexmark Z11, Brother HL 7x0 and compatibles,
   new driver version for Lexmark 3200, needs ghostscript-5.50-46mdk)

* Sun Dec 10 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-42mdk
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
  (New printers supported: Lexmark 2030, Okipage 4w and comaptibles)
- Updated GIMP-Print from CVS (Quality improvements, Lexmark Z52 support,
  needs ghostscript-5.50-45mdk)

* Thu Dec  7 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-41mdk
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database

* Sat Dec  2 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-40mdk
- Updated GIMP-Print from CVS

* Wed Nov 29 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-39mdk
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database

* Sun Nov 26 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-38mdk
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
- Adjustment of the pure black intensity with GIMP-Print on HP DeskJets

* Thu Nov 23 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-37mdk
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
- Updated GIMP-Print from CVS
- Fixed black looking different in 600x300 and 600x600 CRET on HP DeskJet
  840C

* Fri Nov 17 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-36mdk
- Solved problem of 600x600 CRET mode on HP DeskJet 840C being too dark

* Wed Nov 15 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-35mdk
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
  (completely broken PPDs for pin printers and PJL options for
   LaserJet 1100 fixed)

* Sat Nov 11 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-34mdk
- GIMP-Print 4.0.2: Fixes in colour density, man page for escputil
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database 

* Fri Nov  3 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-33mdk
- Fixed bug of pages being too light on HP LaserJet printers with GIMP-Print
  CUPS driver.

* Wed Nov  1 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-32mdk
- Removed Birmy Power RIP PPD files
- Fixed PPD file for the HP DeskJet 610C with stp driver. This printer
  does 600x600 dpi only in grayscale.

* Mon Oct 30 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-31mdk
- Updated GIMP-Print code to 4.0.0 final (with CVS patch for CRET on
  HP DeskJet 810/812/840/842/895C

* Tue Oct 24 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-30mdk
- Bugfixes on the CRET support for the HP DeskJet 840C

* Mon Oct 23 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-29mdk
- Fixed bug which prevented GIMP-Print from doing 600 dpi on the
  LaserJet 4V and 4Si

* Sun Oct 22 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-28mdk
- Included Epson printer maintenance tool of GIMP-Print
- Applied escputil bug fix patch on GIMP-Print

* Fri Oct 20 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-27mdk
- Updated GIMP-Print code to 4.0.0rc1
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
- CRET support for the HP DeskJet 840C in the GIMP-Print CUPS driver
- Updated Printing-HOWTO

* Mon Oct 16 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-26mdk
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
- Reactivated the building of the native CUPS drivers of GIMP-Print
- Made the calibration program for the GIMP-Print CUPS drivers more
  userfriendly

* Tue Oct  3 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-25mdk
- pstogstoraster-based drivers removed (problems with Samba)

* Mon Oct  2 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-24mdk
- Fixed bug in linuxprinting.org PPDs for the pnm2ppa driver
- Added README file

* Sat Sep 30 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-23mdk
- Better correction of the manufacturer names

* Fri Sep 29 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-22mdk
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database

* Thu Sep 28 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-21mdk
- Added a menu entry for displaying the printer test page on the screen
  (for colour adjustment).

* Thu Sep 28 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-20mdk
- Added Grant Taylor's printing HOWTO as documentation
- Updated the CUPS-O-MATIC-PPDs from linuxprinting.org database
  (now there are PPD files for all printers which were 
   supported by Mandrake in the LPD era)

* Tue Sep 26 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-19mdk
- Updated the CUPS-O-MATIC-PPDs from Grant Taylors database
  (the database is fixed again)

* Tue Sep 26 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-18mdk
- Downdated the CUPS-O-MATIC-PPDs from Grant Taylors database because the
  whole database was broken

* Tue Sep 26 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-17mdk
- Updated the CUPS-O-MATIC-PPDs from Grant Taylors database
- Updated cupsomatic backend filter because of bugs

* Mon Sep 25 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-16mdk
- Updated the CUPS-O-MATIC-PPDs from Grant Taylors database
- Updated cupsomatic backend filter to support numerical options

* Fri Sep 22 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-15mdk
- GIMP-Print CUPS drivers taken out, they are completely broken, and
  for each of these printers there is also a PPD file for the 
GhostScript "stp" driver.
- Last steps completely messed up, and uploaded accidentally
  (instead of cups-devel), tried again ...

* Fri Sep 22 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-14mdk
- Updated the CUPS-O-MATIC-PPDs from Grant Taylors database
- Updated GIMP-Print code to 4.0b1
- Edited cleanppd.pl to comment also the lex5700/7000 drivers.

* Sun Sep 17 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-13mdk
- Corrected the information to distuinguish the PPD files.
  The PPD files of the GIMP-Print CUPS drivers (not of the
  GIMP-Print GhostScript ("stp") driver) do not like to be
  modified.

* Sat Sep 16 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-12mdk
- Updated the CUPS-O-MATIC-PPDs from Grant Taylors database
- Added informtion in the PPD files so that one can distinguish them 
  when there are several drivers for one printer.

* Wed Sep 13 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-11mdk
- Removed "Buildarchitecture: i586" line from specfile so that
  package works on all architectures.

* Mon Sep 11 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-10mdk
- Updated the CUPS-O-MATIC-PPDs from Grant Taylors database
- Added GIMP-Print CUPS drivers

* Fri Sep  7 2000 Till Kamppeter <till@mandrakesoft.com> 0.3.6-9mdk
- Updated the CUPS-O-MATIC-PPDs from Grant Taylors database

* Wed Sep  6 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.3.6-8mdk
- Updated the CUPS-O-MATIC-PPDs from Grant Taylors database

* Sun Sep  2 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.3.6-7mdk
- Updated the CUPS-O-MATIC-PPDs from Grant Taylors database

* Tue Aug 31 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.3.6-6mdk
- Updated the CUPS-O-MATIC-PPDs from Grant Taylors database
- Added script to restart the CUPS daemon for refreshing the driver data
  base to post-inatall

* Tue Aug 29 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.3.6-5mdk
- Updated the CUPS-O-MATIC-PPDs from Grant Taylors database

* Wed Aug 11 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.3.6-4mdk
- Cleaned up Manufacturer entries in the PPD files, now the printer drivers
  appear sorted by the printer manufacturer in graphical administration
  frontends (as KUPS or the web interface of CUPS)
- Added PPD file for the GIMP-Print stp Epson Stylus driver in GhostScript
  (modified because of some bugs)

* Wed Aug  9 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.3.6-3mdk
- added "ghostscript" to "Requires:" line

* Tue Aug  8 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.3.6-2mdk
- added Grant Taylors CUPS-O-MATIC driver package

* Tue Jul  4 2000 Franois Pons <fpons@mandrakesoft.com> 0.3.6-1mdk
- replaced ps2gs2raw.* by pstogstoraster (perl script only).
- initial release.

